/*------------------------------------*\
    #OBJECTS.SIMPLE-FORM
\*------------------------------------*/
/**
 * Simple Form object. Used for small form blocks inside of normal content.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

// The form
.#{$inuit-namespace}simple-form,
%#{$inuit-namespace}simple-form {
    display: block;
}

.#{$inuit-namespace}simple-form__section,
%#{$inuit-namespace}simple-form__section {
    @extend %h-clearfix;
    border: 0;
    display: inline-block;
    margin: 0;
    padding: 0;
    vertical-align: middle;
}

// A row in a form that contains label and form field
.#{$inuit-namespace}simple-form__item,
%#{$inuit-namespace}simple-form__item {
    display: inline-block;
    overflow: hidden;
    vertical-align: top;
}

.#{$inuit-namespace}simple-form__label,
%#{$inuit-namespace}simple-form__label {
    display: none;
    font-size: 100%;
}

.#{$inuit-namespace}simple-form__button,
%#{$inuit-namespace}simple-form__button {
    @extend %o-icon-button;
    background: transparent;
}

.#{$inuit-namespace}simple-form__button-label,
%#{$inuit-namespace}simple-form__button-label {
    @extend %h-sr-only;
}

.#{$inuit-namespace}simple-form__button-img,
%#{$inuit-namespace}simple-form__button-img {
    @extend %o-icon-button__icon;
    padding: 5px;
    fill: $drk-color-blue;

    .#{$inuit-namespace}simple-form__button:hover &,
    %#{$inuit-namespace}simple-form__button:hover &,
    .#{$inuit-namespace}simple-form__button:focus &,
    %#{$inuit-namespace}simple-form__button:focus & {

        fill: darken($drk-color-blue, 20);
    }
}

.#{$inuit-namespace}simple-form__field,
%#{$inuit-namespace}simple-form__field {
    border: 0;
    border-bottom: 1px solid $drk-color-blue;
    box-shadow: none;
    height: $drk-base-unit-small;
    line-height: $drk-base-unit-small;
    margin: 0 drk-quarter($drk-base-unit-small) 0 0;
    outline: none;
    width: quadruple($drk-base-unit-small);

    &:focus {
        border-bottom: 1px solid $drk-color-grey;
    }

    &--select {
        @include form-select;
    }

    @media #{$large-up}{
        height: $drk-base-unit;
        width: quadruple($drk-base-unit);
        margin: 0 drk-quarter($drk-base-unit-small) 0 0;
        line-height: $drk-base-unit;
    }
}

.#{$inuit-namespace}simple-form__description,
%#{$inuit-namespace}simple-form__description {
    display: inline-block;
    height: $drk-base-unit-small;
    line-height: $drk-base-unit-small;
    overflow: hidden;
    vertical-align: top;

    &:last-of-type {
        margin-right: drk-quarter($drk-base-unit);
    }

    @media #{$large-up}{
        height: $drk-base-unit;
        line-height: $drk-base-unit;
    }
}
